package com.company.logoutexample.view.main;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.app.main.StandardMainView;
import io.jmix.flowui.kit.action.ActionPerformedEvent;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route("")
@ViewController("MainView")
@ViewDescriptor("main-view.xml")
public class MainView extends StandardMainView {

    @Subscribe("logout")
    public void onLogout(final ActionPerformedEvent event) {
        getUI().ifPresent(ui -> {
            ui.getSession().close();
            ui.getPage().setLocation("logout.html");
        });
    }
}
